Icon Compatible Canon PGI5 CLI8 BBCMY Ink Value Pack

$40.00

Compatible for:

Canon PIXMA iP3300, iP3500, iP4200, iP4300, iP4500, iP5200, iP5200R, iP5300, iP6600D, MP500, MP510, MP530, MP600, MP600R, MP610, MP800, MP810, MP830, MP960, MP970, MX850, Pro9000 and Pro9000 Mark II.

Icon Compatible Canon PGI5 CLI8 BBCMY Ink Value Pack

Reviews

There are no reviews yet.

Only logged in customers who have purchased this product may leave a review.